parameters:
  subnets:
    PROD-subnet-prod-private-b:
      id: subnet-***
      cidr: **.**.**.**/**
    PRA-subnet-pra-public-b:
      id: subnet-***
      cidr: **.**.**.**/**
    PRA-subnet-pra-private-b:
      id: subnet-***
      cidr: **.**.**.**/**
    PROD-subnet-prod-public-a:
      id: subnet-***
      cidr: **.**.**.**/**
    PROD-subnet-prod-public-b:
      id: subnet-***
      cidr: **.**.**.**/**
    PRA-subnet-pra-private-a:
      id: subnet-***
      cidr: **.**.**.**/**
    PRA-subnet-pra-public-a:
      id: subnet-***
      cidr: **.**.**.**/**
    PROD-subnet-prod-private-a:
      id: subnet-***
      cidr: 10.79.0.128/26
  securityGroups:
    PRA-AWS Elastic Disaster Recovery default Replication Server Security Group: sg-***
    PROD-internet_sg: sg-***
    PROD-dc_sg: sg-***
    PRA-AWS Elastic Disaster Recovery default Conversion Server Security Group: sg-***
    PRA-default: sg-***
    PROD-global_sg: sg-***
    PROD-default: sg-***
launchTemplates:
  default_template:
    ignore: Ignore this template-Type:bool
    ip: The primary private IPv4 address of the network interface-Type:str-Possible
      values:['CREATE NEW', 'COPY SOURCE', 'ip']
    subnet: The subnet for the network interface-Type:str
    securityGroups: One or more security groups.-Type:list
    instanceType: Instance type-Type:str
    imageId: The ID of the AMI-Type:str
    publicIPAction: Associates a public IPv4 address with eth0 for a new network interface-Type:bool
    deleteOnTerminationInterface: Indicates whether the network interface is deleted
      when the instance is terminated.-Type:bool
    networkInterfaceId: The ID of the network interface-Type:str
    iamInstanceRole: IAM role name of the instance profile-Type:str
    disks:
      deviceName:
        type: Volume type of the disk-Type:str
        throughput: The throughput to provision for a gp3 volume-Type:int
        iops: The number of I/O operations per second-Type:int
        size: The size of the volume, in GiBs-Type:int
        kms_key_id: The ARN of the symmetric Key Management Service (KMS) CMK used
          for encryption-Type:str
        snapshotId: The ID of the snapshot-Type:str
    userData: The user data to make available to the instance-Type:str
    keyName: The name of the key pair-Type:str
    enableMonitoring: Specify true to enable detailed monitoring. Otherwise, basic
      monitoring is enabled-Type:bool
    disableApiTermination: If you set this parameter to true , you can't terminate
      the instance using the Amazon EC2 console, CLI, or API; otherwise, you can-Type:bool
    disableApiStop: Indicates whether to enable the instance for stop protection-Type:bool
    instanceInitiatedShutdownBehavior: Indicates whether an instance stops or terminates
      when you initiate shutdown from the instance-Type:str-Possible values:['stop',
      'terminate']
    creditSpecification: The credit option for CPU usage of a T instance-Type:str-Possible
      values:['standard', 'unlimited']
    tags:
      Key: Key of the tag-Type:str
      Value: Value of the tag-Type:str
  FRMAL-INFR-ADM:
    ignore: True
    ip: CREATE NEW
    subnet: MAL PROD-subnet-mal-prod-private-a
    securityGroups:
    - MAL PROD-global_sg
    instanceType: c5.xlarge
    publicIPAction: false
    deleteOnTerminationInterface: true
    iamInstanceRole: PROD
    disks:
      c:0:
        type: GP3
        size: 200
        iops: 3000
        throughput: 150
    tags:
    - Key: env
      Value: prod

